<?php

require_once '../../../../app/model/db.class.php';
require_once '../../../../app/model/rangos.php';
require_once("../../../../dompdf/dompdf_config.inc.php");

function truncateFloat($number, $digitos)
{
    $raiz = 10;
    $multiplicador = pow ($raiz,$digitos);
    $resultado = ((int)($number * $multiplicador)) / $multiplicador;
    return number_format($resultado, $digitos);

}

      $obj = new database();

      $sede = $_REQUEST['sede'];
      $jornada=$_REQUEST['jornada'];
      $periodo =$_REQUEST['periodo'];
      $grado_inicial = $_REQUEST['grad_ini'];
      $grado_final = $_REQUEST['grad_fin'];

      $obj->conectar(); $obj->consulta("set names 'utf8'");
      

      $info_col=$obj->consulta("select * from registrar;");
      $arr_col=$obj->fetch_assoc($info_col);
      
      
       $s="<html><head><meta http-equiv='expires' content='0'><meta http-equiv='Cache-Control' content='no-cache'><meta http-equiv='Pragma' CONTENT='no-cache'><meta http-equiv='Content-Type' content='text/html; charset=UTF-8'><title>MEJORES PROMEDIOS</title>
           <link rel='stylesheet' type='text/css' href='../../views/default/css/estilo.css'/></head><body>";
       $s.="<div style=\"position: absolute; left: 89px; top: 15px;\"><img height='65' width='65' src='../../../../fotografias/".$arr_col['escudo']."'/></div>";
       $s.="<br><center><H2>".$arr_col['institucion']."</H2></center><br>";
       $s.="<center><H2>PROMEDIOS DE CONVIVENCIA POR CURSOS</H2></center><BR>";

       $s.="<center><H2>PERIODO: ".$periodo."</H2></center><BR>";

      /*-------------------------------*/
      if ($sede !='*'){
          $criterio_sede= "='" . $sede . "'";

          /*---- MOSTRAR ENCABEZADO DE LA SEDE CUANDO ES UNA SOLA -----  */
          $descrip_s=$obj->consulta("select descripcion from sedes where codigo='".$sede."'");
          $row_s = $obj->fetch_assoc($descrip_s);
          $s.="<center><b>SEDE  : </b>".$row_s['descripcion']."</center>";

      }else{
           $criterio_sede= "like '%'";
      }
      /*-------------------------------*/
      if ($jornada !='*'){
          $criterio_jornada= "='" . $jornada . "'";

          /*---- MOSTRAR ENCABEZADO DE LA JORNADA CUANDO ES UNA SOLA -----  */
          $descrip_j=$obj->consulta("select descripcion from jornadas where codigo='".$jornada."'");
          $row_j = $obj->fetch_assoc($descrip_j);
          $s.="<BR><center><b>JORNADA : </b>".$row_j['descripcion']."</center><br>";


      }else{
           $criterio_jornada= "like '%'";
      }

      /*-------------------------------*/

      $resultado=$obj->consulta("select sede, jornada, grado, curso, promedio,nivel_desempeno from rendimiento_general_asign
                      where asignatura='21' and sede ".$criterio_sede." and jornada ".$criterio_jornada." and periodo='".$periodo."' and (grado >=". $grado_inicial." and grado <=". $grado_final.") group by sede, jornada, grado, curso order by promedio desc");
   
      $meses = array("Enero","Febrero","Marzo","Abril","Mayo","Junio","Julio","Agosto","Septiembre","Octubre","Noviembre","Diciembre");

      $s.="<div style='margin: 0px 0px 6px 635px'>".date('d')."-".$meses[date('n')-1]."-".date('Y')."</div>";
      $s.="<table align='center' border='1' cellspacing='0' cellpadding='0' width='90%'>";

      $s.="<tr><th>PUESTO</th>";
      
      if ($sede =='*'){
          $s.="<th>SEDE</th>";
      }

      if ($jornada =='*'){
          $s.="<th>JORNADA</th>";
      }

      $s.="<th>GRADO</th>";
      $s.="<th>CURSO</th>";
      $s.="<th>PROMEDIO</th>";
      $s.="<th>DESEMPE&Ntilde;O</th></tr>";

      $i=1;
      while($row = $obj->fetch_assoc($resultado)){

          $descrip_curso=$obj->consulta("select descripcion from cursos where grado='".$row['grado']."' and codigo='".$row['curso']."'");
          $row3 = $obj->fetch_assoc($descrip_curso);

          $s.="<tr>";
          $s.="<td align='center'>".$i++."</td>";

          if ($sede =='*'){  // CUANDO HAY QUE MOSTRAR TODAS LAS SEDES, BUSCAMOS EL NOMBRE DE CADA UNA

              $s.="<td>"." - SEDE PRINCIPAL</td>";
          }

          if ($jornada =='*'){  // CUANDO HAY QUE MOSTRAR TODAS LAS JORNADAS, BUSCAMOS EL NOMBRE DE CADA UNA
              $descrip_jornada=$obj->consulta("select descripcion from jornadas where codigo='".$row['jornada']."'");
              $row2 = $obj->fetch_assoc($descrip_jornada);
              $s.="<td>"." . ".$row2['descripcion']."</td>";
          }
         
          $s.="<td align='center'>".$row['grado']."</td>";
          $s.="<td>"." . ".$row3['descripcion']."</td>";
          $s.="<td align='center'>".truncateFloat($row['promedio'],3)."</td>";
          $s.="<td align='center'>".$row['nivel_desempeno']."</td>";
          $s.="</tr>";

      }

      $s.="</table>";

       //------- PROMEDIO POR JORNADAS SOLO CONVIVENCIA

       $prom_cursos=$obj->consulta("select avg(promedio) as prom_gen from rendimiento_general_asign
                      where asignatura='21' and sede ".$criterio_sede." and jornada ".$criterio_jornada." and periodo='".$periodo."' and (grado >=". $grado_inicial." and grado <=". $grado_final.")");

      $row1 = $obj->fetch_assoc($prom_cursos);

      $s.="<br><br><table align='center' border='0' cellspacing='0' cellpadding='0' width='90%'>";
      $s.="<tr>";
      $s.="<td align='right'>PROMEDIO:".truncateFloat($row1['prom_gen'],3)."    -    ".calculardef($row1['prom_gen'])."</td>";
      $s.="/<tr>";

      $s.="</table>";
      $s.="</body></html>";
       
//      echo $s;
   
    
    $dompdf = new DOMPDF();     
    $dompdf->load_html($s);
    $dompdf->set_paper('a4', 'portrait');
    $dompdf->render();

    $dompdf->stream("boletin.pdf", array("Attachment" => false));
      
?>
